using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace OVCS.ClientWpf
{
    internal class ResourceManager
    {
        public BitmapImage MicEnableImage {get; private set;}
        public BitmapImage MicDisableImage {get; private set;}
        public BitmapImage MicUselessImage { get; private set; }
        public BitmapImage MicOpenImage {get; private set;}
        public BitmapImage MicCloseImage {get; private set;}
        public BitmapImage CameraOpenImage { get; private set;}
        public BitmapImage CameraCloseImage { get; private set;}
        public BitmapImage SpeakerOpenImage { get; private set;}
        public BitmapImage SpeakerCloseImage { get; private set;}
        public BitmapImage DesktopOpenImage { get; private set;}
        public BitmapImage DesktopCloseImage { get; private set;}
        public BitmapImage DesktopFullScreenImage { get; private set;}
        public BitmapImage WhiteBoardOpenImage { get; private set;}
        public BitmapImage WhiteBoardCloseImage { get; private set;}
        public BitmapImage RecordStartImage { get; private set;}
        public BitmapImage RecordStopImage { get; private set;}

        private ResourceManager() 
        {
            this.MicEnableImage = new BitmapImage(new Uri("./Resources/micNor.png", UriKind.Relative));
            this.MicDisableImage = new BitmapImage(new Uri("./Resources/micDis.png", UriKind.Relative));
            this.MicUselessImage = new BitmapImage(new Uri("./Resources/micFail.png", UriKind.Relative));
            this.MicOpenImage = new BitmapImage(new Uri("./Resources/micSelect.png", UriKind.Relative));
            this.MicCloseImage = new BitmapImage(new Uri("./Resources/micNoSelect.png", UriKind.Relative));
            this.CameraOpenImage = new BitmapImage(new Uri("./Resources/CameraSelect.png", UriKind.Relative));
            this.CameraCloseImage = new BitmapImage(new Uri("./Resources/CameraNoSelect.png", UriKind.Relative));
            this.SpeakerOpenImage = new BitmapImage(new Uri("./Resources/SpeakerSelect.png", UriKind.Relative));
            this.SpeakerCloseImage = new BitmapImage(new Uri("./Resources/SpeakerNoSelect.png", UriKind.Relative));
            this.DesktopOpenImage = new BitmapImage(new Uri("./Resources/DesktopSelect.png", UriKind.Relative));
            this.DesktopCloseImage = new BitmapImage(new Uri("./Resources/DesktopNoSelect.png", UriKind.Relative));
            this.DesktopFullScreenImage = new BitmapImage(new Uri("./Resources/FullScreen.png", UriKind.Relative));
            this.WhiteBoardOpenImage = new BitmapImage(new Uri("./Resources/WhiteBoardSelect.png", UriKind.Relative));
            this.WhiteBoardCloseImage = new BitmapImage(new Uri("./Resources/WhiteBoardNoSelect.png", UriKind.Relative));
            this.RecordStartImage = new BitmapImage(new Uri("./Resources/StartRecord.png", UriKind.Relative));
            this.RecordStopImage = new BitmapImage(new Uri("./Resources/StopRecord.png", UriKind.Relative));
        }

        public static ResourceManager Singleton { get; } = new ResourceManager();   
    }
}
